/*------------------------------------------------------------
 * 	Mejs Player Style
 *------------------------------------------------------------*/

.mejs-container {
	height: 70px !important;
	background: none !important;
	outline: none;


	.mejs-controls {
		background: @black !important;
		height: 70px !important;
		padding: 0 10px 0 20px !important;

		& > * {
			margin-top: 22px !important;
		}

		.mejs-time {

			&.mejs-currenttime-container { margin-left: 70px !important; }
			&.mejs-duration-container { margin-right: 15px !important; }

			span {
				color: @grey-light !important;
				font-size: 14px !important;
				font-weight: 300;
			}

			&-rail {
				margin-top: 26px !important;

				span {
					height: 4px !important;
					.border-radius(0)!important;
				}
			}

			&-total 	{ background: fade( @white, 7%) !important; height: 4px !important; }

			&-loaded 	{ background: @white !important; }
			&-current 	{ background: @white !important; }

			&-float {
				background: none !important;
				border: none !important;
				top: -20px !important;

				&-current {
					color: @grey-light !important;
				}

				&-corner { display: none !important; }
			}
		}

		.mejs-horizontal {
			margin-top: 26px !important;

			&-volume-slider {
				margin-top: 24px !important;
			}

			&-volume-total,
			&-volume-current {
				height: 4px !important;
				.border-radius(0)!important;
			}

			&-volume-total { background: @white !important; }
			&-volume-current { background: @white !important; }
		}

		.mejs-button {
			button {
				.transition(none);
				float: none;
				background-image: url("@{template_directory_uri}/img/mejs_images.svg");

				&:focus {
					outline: none !important;
				}
			}

			&.mejs-playpause-button {
				position: absolute;
				left: 0;
				width: 70px;
				height: 70px;
				line-height: 84px;
				margin-top: 0 !important;
				text-align: center;

				&.mejs-pause {
					background: @primary-color;
				}

				button {
					display: inline-block;
					position: relative;
				}
			}
		}

		.mejs-offscreen { display: none !important; }
	}

	.mejs-overlay-button { margin-top: -50px !important; }

	/* 	Dark version
	 *------------------------------------------------------------*/

	&.mejs-video,
	.format-head--audio.featured-image--true &.mejs-audio {

		background: none !important;

		.mejs-controls {
			background: fade(@black, 75%) !important;
			border: none !important;

			.mejs-time {

				&-total 	{ background: @white !important; }
				&-loaded 	{ background: @white !important; }
				&-current 	{ background: @white !important; }

				&-float {
					&-current {
						color: @grey-light !important;
					}
				}
			}

			.mejs-horizontal {
				&-volume-current { background: @white !important; }
			}

		}

	}

}
